<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="horizontal">

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/ip_1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:background="@null"
        android:gravity="center"
        android:inputType="numberDecimal"
        android:text="" />

    <androidx.appcompat.widget.AppCompatTextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/dot" />

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/ip_2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:background="@null"
        android:gravity="center"
        android:inputType="numberDecimal"
        android:text="" />

    <androidx.appcompat.widget.AppCompatTextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/dot" />

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/ip_3"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:background="@null"
        android:gravity="center"
        android:inputType="numberDecimal"
        android:text="" />

    <androidx.appcompat.widget.AppCompatTextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/dot" />

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/ip_4"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:background="@null"
        android:gravity="center"
        android:inputType="numberDecimal"
        android:text="" />

</androidx.appcompat.widget.LinearLayoutCompat>